Bug 133810 - gcc4 cc1 segfaults while compiling code
gcc4 cc1 segfaults while compiling code
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2004-09-27 13:24 EDT by Valdis Kletnieks
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-03 19:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gcc4-foo2.c - compile with 'gcc4 -c -Os -march=pentium gcc4-foo2.c' (511.27 KB, text/plain)
2004-09-27 13:25 EDT, Valdis Kletnieks
no flags Details

  None (edit)
Description Valdis Kletnieks 2004-09-27 13:24:35 EDT
Description of problem:
The attached .c program gives cc1 indigestion if compiled with '-Os
-march=MMMM', where MMMM is i586 or higher (i386 and i486 are OK).
Compiling with -O2 -march=pentium4 or -O3 -march=pentium4 works - it's
*only* an issue with -Os and i586 or higher.

Version-Release number of selected component (if applicable):

How reproducible:
gcc4 -c -Os -march=pentium4 gcc-foo2.c

Steps to Reproduce:
Actual results:
% gcc4 -c -Os -march=pentium4 gcc4-foo2.c
gcc4: Internal error: Segmentation fault (program cc1)
Please submit a full bug report.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Expected results:

Additional info:
This is a trimmed-down version of the tkFont.c file from the
current Tk CVS tree.
Comment 1 Valdis Kletnieks 2004-09-27 13:25:37 EDT
Created attachment 104384 [details]
gcc4-foo2.c - compile with 'gcc4 -c -Os -march=pentium gcc4-foo2.c'
Comment 2 Jakub Jelinek 2004-10-03 19:08:02 EDT
There are several known problems with scalar evolutions ATM.
E.g. http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17552
Until these are fixed, there is no point in creating further
testcases involving scev.  During a distro rebuild with gcc4, there
were at least 14 occurences of scev ICEs.

Note You need to log in before you can comment on or make changes to this bug.